ONLYOFFICE DocSpace released: improve document collaboration with offices, customers, and partners. Use it for free!
ONLYOFFICE DocSpace released

Running onlyoffice-ds on LAMP opensuse Leap 15.2

Do you want to: Ask a how-to question
Document Server version: should be integrated with nextcloud 19.
Type of installation of the Document Server: rpm via zypper
OS: openSuse Leap 15.2

Hi ! Since snapcraft.io doesn’t provide anymore a repository for version 15.2 of Leap. I am asking help to adapte the following instructions Installing ONLYOFFICE Docs for CentOS and derivatives - ONLYOFFICE to run onlyoffice-ds on OpenSuse Leap 15.2 server minimal install.
My aim is to deploy DocumentServer on Linux Apache Mariadb PHP stack.

Looking forward to hear from anyone as soon as possible! Thank you to help me to start.

Hello @vocaltech

Do you mean that snap installation of Document server is no longer available on OpenSuse Leap 15.2? How about docker installation? Or are you looking for package installation only?

Please keep in mind that usually we recommend to use totally clean separate server for Document server installation.

Hi Alexandre I am looking for package installation on openSUSE Leap 15.2 with already LAMP server running.
After adding the repo and doing a refresh I get the following message
sudo zypper refresh

Le dépôt 'Copr repo for fusioninventory-agent owned by trasher' est à jour.
Le dépôt 'Non-OSS Repository' est à jour.
Le dépôt 'Main Repository' est à jour.
Le dépôt 'Source Repository' est à jour.
Le dépôt 'Source Repository (Non-OSS)' est à jour.
Le dépôt 'Main Update Repository' est à jour.
Le dépôt 'Update Repository (Non-Oss)' est à jour.
Récupération des métadonnées du dépôt 'snappy' .................................................................................................................[erreur]
Le dépôt 'snappy' est invalide.
[snappy|https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.2] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - **[snappy|https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.2] Repository type can't be determined.**
**Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.**
**Dépôt 'snappy' ignoré en raison de l'erreur susmentionnée.**
**Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.**

Then I ran the following command with that result
sudo zypper --gpg-auto-import-keys refresh

Le dépôt 'Copr repo for fusioninventory-agent owned by trasher' est à jour.
Le dépôt 'Non-OSS Repository' est à jour.
Le dépôt 'Main Repository' est à jour.
Le dépôt 'Source Repository' est à jour.
Le dépôt 'Source Repository (Non-OSS)' est à jour.
Le dépôt 'Main Update Repository' est à jour.
Le dépôt 'Update Repository (Non-Oss)' est à jour.
Récupération des métadonnées du dépôt 'snappy' .................................................................................................................[erreur]
Le dépôt 'snappy' est invalide.
[snappy|https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.2] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [snappy|https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.2] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'snappy' ignoré en raison de l'erreur susmentionnée.
Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.

Please can you provide a right URL to install snapd package and onlyoffice-ds?

Next we are planning to use a dedicated bare metal server to host it. We will appreciate any help to write an entry like Installing ONLYOFFICE Docs for CentOS and derivatives - ONLYOFFICE
on how to run Document Server on LAMP.

Best regards.

Hi to get snapd installed on openSUSE Leap 152:

  1. Download https://download.opensuse.org/repositories/system:/snappy/openSUSE_Tumbleweed/x86_64/snapd-2.31.2-2.1.x86_64.rpm

  2. Install squashfs package with zypper
    zypper install squashfs

  3. Install snapd package downloaded above with rpm
    rpm -ivh snapd-2.31.2-2.1.x86_64.rpm

Can you please point me out a documentation about running Document Server top on LAMP setup?

Best regards.

I believe that the best solution at the moment is using different OS. The openSUSE isn’t supported OS for Document server installation. As far as I can see, even snapd is not officially supported for Leap 15.2.

About your scenario in general:

point me out a documentation about running Document Server top on LAMP setup?

Please note that usually we recommend to use clean separate server for Document server installation. It’s necessary to avoid dependencies and port conflicts. To be honest, I’m not sure that I understand the final goal of Document server+LAMP scenario. Stand-alone Document server has all necessary dependencies for working.

Hi Alexandre. Thank you for your reply.

It is effectively the achievement intended.
I hope soon OpenSUSE will be more supported.

Best regards.

1 Like